## org.eclipse.emf.edit.provider
Class DelegatingWrapperItemProvider.AffectedObjectsWrappingCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CommandWrapper
              org.eclipse.emf.edit.provider.DelegatingWrapperItemProvider.AffectedObjectsWrappingCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  DelegatingWrapperItemProvider.AffectedObjectsWrappingCommandActionDelegate

Enclosing class:
  DelegatingWrapperItemProvider

    protected class DelegatingWrapperItemProvider.AffectedObjectsWrappingCommand

extends CommandWrapper

An `AffectedObjectsWrappingCommand` wraps another command to substitute this wrapper for its value and child wrappers for their corresponding child values, whenever they appear in the affected objects.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.common.command.CommandWrapper
`command`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`DelegatingWrapperItemProvider.AffectedObjectsWrappingCommand(Command command)`

Method Summary
`java.util.Collection<?>` `getAffectedObjects()` Delegates to the getAffectedObjects method of the command.

Methods inherited from class org.eclipse.emf.common.command.CommandWrapper
`canUndo, createCommand, dispose, execute, getCommand, getDescription, getLabel, getResult, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingWrapperItemProvider.AffectedObjectsWrappingCommand

    public DelegatingWrapperItemProvider.AffectedObjectsWrappingCommand(Command command)

Method Detail

### getAffectedObjects

    public java.util.Collection<?> getAffectedObjects()

  Description copied from class: `CommandWrapper`
  Delegates to the getAffectedObjects method of the command.

  Specified by:
    `getAffectedObjects` in interface `Command`
  Overrides:
    `getAffectedObjects` in class `CommandWrapper`
  Returns:
    the result.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.